---
layout: job_family_page
title: "Engineering Leadership"
---


## Engineering Leadership

The Engineering Leadership becomes a cross-discipline management. For example, a Senior Manager, Engineering will manage both [Frontend Engineering Managers](/job-families/engineering/frontend-engineering-manager/) and [Backend Engineering Managers](/job-families/engineering/backend-engineer/#backend-manager-engineering).

### Engineering Development Management Roles

<%= job_families('engineering/development/management') %>

### Senior Manager, Development

The Senior Manager, Development role extends the [Frontend Engineering Managers](/job-families/engineering/development/frontend/manager/) and the [Backend Manager, Engineering](/job-families/engineering/development/backend/manager) roles.

#### Job Grade

The  Senior Manager, Development is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Manage up to six engineering teams
- Conduct managerial interviews for candidates, and train engineering managers to do said interviews
- Generate and implement process improvements, especially cross-team processes
- Hold regular [1:1s](/handbook/leadership/1-1/) with team managers and skip-level 1:1s with all members of their team
- Management mentorship

#### Requirements

- Technical credibility: Past experience as a product engineer and leading teams thereof
- Management credibility: Past experience (3 to 5 years) as an engineering manager
- Ability to understand, communicate and improve the quality of multiple teams
- Demonstrate longevity at at least one recent job
- Ability to be successful managing at a remote-only company
- Humble, servant leader
- Ability to use GitLab

#### Nice-to-have Requirements

- Be a user of GitLab, or familiar with our company
- Prior Developer Platform or Tool industry experience
- Prior product company experience
- Prior high-growth startup experience
- Experience working on systems at massive (i.e. consumer) scale
- Deep open source experience
- Experience working with global teams
- We value diversity, inclusion and belonging in leadership
- Be inquisitive: Ask great questions

### Director, Development

The Director of Development role extends the [Senior Engineering Manager](#senior-manager-development) role.

#### Job Grade

The  Director, Development is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements

* Excellent communication skills
* Expert hiring manager skills and experience
* A strong people management philosophy for managers and engineers
* Experience managing managers
* Agile project management skills
* Ability to understand, communicate and improve the quality of multiple teams
* Demonstrate longevity at at least one recent job
* Ability to be successful managing at a remote-only company
* Humble, servant leader

#### Nice-to-have Requirements

* Be a user of GitLab, or familiar with our company
* Prior Developer Platform or Tool industry experience
* Prior product company experience
* Prior high-growth startup experience
* Experience working on systems at massive (i.e. consumer) scale
* Deep open source experience
* Experience working with global teams
* We value diversity, inclusion and belonging in leadership
* Be inquisitive: Ask great questions

### Distinguished Engineer

#### Job Grade

The Distinguished Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The Distinguished Engineer role extends the [Staff Frontend Engineer](/job-families/engineering/development/frontend#staff-frontend-engineer) and the [Staff Backend Engineer](/job-families/engineering/development/backend/#staff-backend-engineer) roles as the individual equivalent of a Director, Engineering.

* At this level the person's contribution plays to their strength and role on the team. These contributions come in different forms such as: Ship _large_ feature sets with team, completes _feature discovery_ independently, publishes technical blogs and speaks at conferences, interfaces with customers and provides technical direction to stakeholders (Product, Sales, others)
* _Generate_ technical and process improvements
* Contribute to the sense of psychological safety on your team
* Work cross-departmentally
* Be a technical mentor for other backend engineers
* Author architecture documents for epics
* Hold team members accountable within their roles

### Senior Director, Development

The Senior Director, Development role extends the [Director, Development](#director-development) role.  This role is defined by the functional area(s) the person manages.

#### Job Grade

The  Senior Director, Development is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

* Organizational credibility: Past experience in managing an entire functional area of Engineering
* Prioritization of hiring efforts to focus on areas of most need and quickly recruit top engineering talent
* Motivate and communicate across multiple levels of their department
* Have successful peer partnerships with other department leaders in Engineering, and cross-functionally (Product Management, sales, marketing, alliances, etc)
* Provide a consistent/successful interface between Engineering Development and Product Management
* Development, measurement, and management of key metrics for functional area's performance
* Drive high throughput
* Standardize the development process where needed, allow local differences where advantages
* Help shift the organization toward CD over time

### Engineering Fellow

The Engineering Fellow role extends the [Distinguished Engineer](#distinguished-engineer) role and is the individual contributor equivalent of a VP of Engineering.

#### Job Grade

The Engineering Fellow is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

* Advocate for improvements to product quality, security, and performance that impact all of Engineering at GitLab.
* Solve technical problems of the highest scope and complexity for the entire
  organization.
* Exert significant influence on the overall objectives and long-range goals of GitLab.
* Ensure that our standards for style, maintainability, and best practices are suitable for the unique problems of scale and diversity of use represented by the GitLab product. Maintain and advocate for these standards through code review.
* Drive innovation across Engineering with a willingness to experiment and to boldly confront problems of immense complexity and scope.
* Actively seek out and prioritize our toughest technical challenges with a goal of creating significant improvement for GitLab's use, ease of development, and/or technical efficiency.
* Represent GitLab and its values in public communication in all aspects of our software development lifecycle and public relations. Interact with customers and other external stakeholders as a consultant and spokesperson for critical projects and aspects of our technical architecture.
* Provide mentorship for Senior and Staff Engineers at the company to help them grow in their technical responsibilities and to share your great expertise across the organization.
* Confidently ship immense or otherwise extremely high-impact features and improvements with minimal guidance and support from other members of the organization.
* Help create the sense of psychological safety in the department

### VP of Development

#### Job Grade

The VP of Development is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).  This role extends the [Senior Director, Development](#senior-director-development) role.  It expands the role to cover full functional and product capabilities at GitLab.

#### Responsibilities

* Drive recruiting of a world class team at all levels
* Help their (senior) directors, senior managers, managers, and engineers grow their skills and experience
* Measure and improve the happiness of Engineering
* Make sure the handbook is used and maintained in a transparent way
* _Implement_ technical and process improvements that are causal to most critical needs
* _Participate and support_ a sense of psychological safety of the department
* _Drive_ quarterly OKRs around company goals
* _Define_ the agile project management process
* _Be accountable for_ product quality, security, and performance
* Work across departments within engineering
* Work closely with Senior leaders of Product Management to provide a consistent/successful interface between Engineering Development and Product Management
* Support constantly changing priorities between product features, availaiblity, performance, security and reliability
* Support process for incident management including quality control of RCAs

#### Performance Indicators

* [Response to Community SLO](/handbook/engineering/development/performance-indicators/#response-to-community-slo)
* [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
* [Team/Group MR Rate](/handbook/engineering/development/performance-indicators/#mr-rate)
* [Handbook Update Frequency](/handbook/engineering/development/performance-indicators/#handbook-update-frequency)

#### Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more [specialties](#specialties), the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team).

* Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
* Next, candidates will be invited to schedule a 60 minute first interview with a Director of Engineering, Backend
* Next, candidates will be invited to schedule a 45 minute second peer interview with an Engineering Manager
* Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
* Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
* Next, candidates will be invited to schedule a 45 minute fifth interview with our VP of Engineering
* Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
* Successful candidates will subsequently be made an offer via email

### Executive VP of Engineering

#### Job Grade

The EVP of Engineering is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

* Drive recruiting of a world class team
* Help their directors, senior managers, managers, and engineers grow their skills and experience
* Measure and improve the happiness of Engineering
* Make sure the handbook is used and maintained in a transparent way
* _Sponsor_ technical and process improvements
* _Own_ the sense of psychological safety of the department
* _Set_ quarterly OKRs around company goals
* _Define_ the agile project management process
* Spend time with customers to understand their needs and issues
* _Be accountable for_ product quality, security, and performance

#### Performance Indicators

* [Response to Community SLO](/handbook/engineering/development/performance-indicators/#response-to-community-slo)
* [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
* [Team/Group Throughput](/handbook/engineering/development/performance-indicators/#throughput)
* [Team/Group MR Rate](/handbook/engineering/development/performance-indicators/#mr-rate)
* [Diversity](/handbook/engineering/performance-indicators/#diversity)
* [Handbook Update Frequency](/handbook/engineering/performance-indicators/#handbook-update-frequency)
* [Team Member Retention](/handbook/engineering/performance-indicators/#team-member-retention)

#### Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more [specialties](#specialties), the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team).

* Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
* Next, candidates will be invited to schedule a 60 minute first interview with a Director of Engineering, Backend
* Next, candidates will be invited to schedule a 45 minute second peer interview with an Engineering Manager
* Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
* Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
* Next, candidates will be invited to schedule a 45 minute fifth interview with our VP of Engineering
* Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
* Successful candidates will subsequently be made an offer via email

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/career-development/#roles) handbook page.
